/* $Id: about_page.cpp 20 2008-09-05 18:01:46Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
    Copyright (C) 2005 - 2008  Mawerick

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#include "about_page.h"
#include "aocrayon.h"

#include <QtGui>

AboutPage::AboutPage( QWidget *parent )
	:QWidget( parent )
{
	BaseLayout = new QVBoxLayout( this );
	BaseLayout->setSpacing( 3 );
	BaseLayout->setMargin( 5 );

	PixLabel = new QLabel( this );
	PixLabel->setFixedSize( 334, 145 );
	PixLabel->setFrameStyle( QFrame::Box | QFrame::Plain );
	PixLabel->setLineWidth( 1 );
	PixLabel->setPixmap( QPixmap( ":/Splash" ) );
	PixLabel->setScaledContents( false );
	BaseLayout->addWidget( PixLabel, 0, Qt::AlignCenter );

	AboutLabel = new QLabel( this );
	AboutLabel->setText(
		"<font color=blue><center>"
		"<strong><font size='+3'>" PROGRAM " v" VERSION "</font></strong><br />"
		"<font size='+1'>Copyright &copy; Mawerick 2005 - 2008</font><br />"
		"</center></font>"

		PROGRAM " is a third-party tool that was made with the intent to help"
		" players of Anarchy Online change their chat text colors easily,"
		" without mucking about with 'complex' xml file editing.<br /><br />"
		"Get the latest version at <a href='http://aocrayon.wrongplace.net/'>http://aocrayon.wrongplace.net/</a>.<br /><br />"
		"<b><u>Credits:</u></b>  "
		"Special thanks to Oofbig for suggesting the name :)<br /><br />"
		"<b>Note:</b> This <u>only</u> changes what <u>you</u> see.<br />"
		" It has nothing to do with what anyone else sees."
		" If you want to make you chat colorful for others, this is not the tool for you."
		);
	AboutLabel->setWordWrap( true );
	AboutLabel->setOpenExternalLinks( true );
	BaseLayout->addWidget( AboutLabel );
	BaseLayout->addStretch( 1 );
}
