/* $Id: aocolor_widget.h 20 2008-09-05 18:01:46Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
    Copyright (C) 2005 - 2008  Mawerick

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef AOCOLOR_WIDGET_H
#define AOCOLOR_WIDGET_H

#include <QVariant>
#include <QWidget>

class QHBoxLayout;
class QLabel;
class QPushButton;
class AOColor;

class AOColorWidget : public QWidget
{
	Q_OBJECT

public:
	AOColorWidget( QWidget *parent = NULL );

	void setText( const QString &text );
	void setBGColor( const AOColor &BGColor );
	void setToolTip( const QString &text );

	void addColorGroup( const QString &cg );
	void removeColorGroup( const QString &cg );
	void clear();

	void updateColor();

protected slots:
	virtual void buttonClicked();

signals:
	void clicked( const QStringList &cgs );

protected:
	QHBoxLayout *BaseLayout;
	QLabel *ColorLabel;
	QPushButton *ColorBtn;

	QStringList ColorGroups;
};

#endif // AOCOLOR_WIDGET_H
