/* $Id: basicmode_page.h 20 2008-09-05 18:01:46Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
    Copyright (C) 2005 - 2008  Mawerick

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef BASICMODE_PAGE_H
#define BASICMODE_PAGE_H

#include <QVariant>
#include <QWidget>

class QVBoxLayout;
class QGridLayout;
class QTabWidget;
class QLabel;
class QPushButton;
class AOColor;
class AOColorWidget;

class BasicModePage : public QWidget
{
	Q_OBJECT

public:
	BasicModePage( QWidget * parent = 0 );

	void updateColors();
	void setBGColor( const AOColor &BGColor );

protected slots:
	virtual void buttonClicked( const QStringList &cgs );

signals:
	void pickColor( const QStringList &cgs );

protected:
	QVBoxLayout* BaseLayout;
	QTabWidget* TabWidget;

	/* basic chat */
	QWidget* ChatTab;
	QVBoxLayout* ChatLayout;
	AOColorWidget* ClanBtn;
	AOColorWidget* RaidBtn;
	AOColorWidget* PGroupBtn;
	AOColorWidget* TeamBtn;
	AOColorWidget* TellBtn;
	AOColorWidget* OOCBtn;
	AOColorWidget* MiscBtn;

	/* more chat */
	QWidget* MoreChatTab;
	QVBoxLayout* MoreChatLayout;
	AOColorWidget* VicinityBtn;
	AOColorWidget* WhisperBtn;
	AOColorWidget* ShoutBtn;
	AOColorWidget* EmotesBtn;
	AOColorWidget* ShoppingBtn;
	AOColorWidget* MyPetBtn;
	AOColorWidget* OtherPetBtn;

	/* info window */
	QWidget* InfoTab;
	QVBoxLayout* InfoLayout;
	AOColorWidget* HeadlineBtn;
	AOColorWidget* HeaderBtn;
	AOColorWidget* TextBtn;
	AOColorWidget* BoldBtn;

	/* NPC */
	QWidget* NPCTab;
	QVBoxLayout* NPCLayout;
	AOColorWidget* NPCChatBtn;
	AOColorWidget* NPCOOCBtn;
	AOColorWidget* NPCEmoteBtn;
	AOColorWidget* NPCSystemBtn;
	AOColorWidget* NPCQuestionBtn;
	AOColorWidget* NPCDescriptBtn;
	AOColorWidget* NPCTradeBtn;

	/* combat */
	QWidget* CombatTab;
	QVBoxLayout* CombatLayout;
	AOColorWidget* MeHitByNanoBtn;
	AOColorWidget* OtherHitByNanoBtn;
	AOColorWidget* MonsterHitMeBtn;
	AOColorWidget* PlayerHitMeBtn;
	AOColorWidget* MeHitOtherBtn;
	AOColorWidget* OtherHitOtherBtn;
	AOColorWidget* OtherHitByPetBtn;

	/* misc feedback */
	QWidget* FeedbackTab;
	QVBoxLayout* FeedbackLayout;
	AOColorWidget* TowerBtn;
	AOColorWidget* MeGotXPBtn;
	AOColorWidget* ResearchBtn;
	AOColorWidget* MeHealedBtn;
	AOColorWidget* SkillBtn;
	AOColorWidget* SystemBtn;

	QLabel* BasicHelpLabel;
};

#endif // BASICMODE_PAGE_H
