/* $Id: settings_page.h 20 2008-09-05 18:01:46Z mawerick $ */
/* AOCrayon - Chat color management tool for Anarchy Online
    Copyright (C) 2005 - 2008  Mawerick

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
#ifndef SETTINGS_PAGE_H
#define SETTINGS_PAGE_H

#include <QVariant>
#include <QWidget>

class QVBoxLayout;
class QHBoxLayout;
class QLabel;
class QPushButton;
class QLineEdit;
class QCheckBox;
class QString;
class AOColor;

class SettingsPage : public QWidget
{
	Q_OBJECT

public:
	SettingsPage( QWidget *parent = 0 );

	QString getAOPath();
	bool confirmAOPath();

	bool backupOriginalData();

	void updateColors();
	void setBGColor( const AOColor &BGColor );

	QString cleanPath( const QString &path );

public slots:
	virtual void setAOPath( const QString &path );
	virtual void setMode( bool mode );

protected slots:
	virtual void browseAOPath();
	virtual void pickBGColor();
	virtual void restoreData();
	virtual void restoreBackup();
	virtual void restoreBundledData();
	virtual void restoreOriginalData();

signals:
	void pickColor( const QString &color );
	void modeChanged( bool mode );
	void reloadData();

protected:
	bool lookupAOPath();

	QVBoxLayout* BaseLayout;
	QHBoxLayout* AOPathLayout;
	QLabel* AOPathLabel;
	QLineEdit* AOPathBox;
	QPushButton* AOPathBtn;
	QLabel* AOPathErrorLabel;
	QPushButton* ReloadBtn;
	QPushButton* RestoreBackupBtn;
	QPushButton* RestoreBundledBtn;
	QPushButton* RestoreOriginalBtn;
	QHBoxLayout* BGColorLayout;
	QLabel* BGColorLabel;
	QPushButton* BGColorBtn;
	QCheckBox* ModeBtn;

	QString AOPath;
};

#endif // SETTINGS_PAGE_H
